Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 732840 - app-backup/bacula fails to link with LLD because of /usr/lib in the link command line
Summary: app-backup/bacula fails to link with LLD because of /usr/lib in the link comm...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Beierlein
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-16 06:06 UTC by Agostino Sarubbo
Modified: 2021-05-18 16:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,80.48 KB, text/plain)
2020-07-16 06:06 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-16 06:06:21 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-backup/bacula fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-16 06:06:28 UTC
Created attachment 649418 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-05-18 16:36:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4942b57000c0f061cab2cdf74d73a65888917631

commit 4942b57000c0f061cab2cdf74d73a65888917631
Author:     Thomas Beierlein <tomjbe@gentoo.org>
AuthorDate: 2021-05-18 16:35:27 +0000
Commit:     Thomas Beierlein <tomjbe@gentoo.org>
CommitDate: 2021-05-18 16:36:02 +0000

    app-backup/bacula: Fix Link with LLD
    
    Closes: https://bugs.gentoo.org/732840
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org>

 app-backup/bacula/bacula-9.6.5.ebuild | 1 -
 app-backup/bacula/bacula-9.6.6.ebuild | 1 -
 app-backup/bacula/bacula-9.6.7.ebuild | 1 -
 3 files changed, 3 deletions(-)